<?xml version="1.0" encoding="windows-1250"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0"
		>
	<xsl:param name="BuyingPriceList"/>
	<xsl:param name="RecommendedPriceList"/>
	<xsl:output method="xml" encoding="utf-8" indent="yes" />
	<xsl:decimal-format decimal-separator="."/>

  <!-- Declare keys -->
	<xsl:key name="PRODUCT" match="/SHOP/SHOPITEM" use="CODE"/>
	<xsl:key name="VARIANT" match="/SHOP/SHOPITEM/PARAMETERS/PARAMETER" use="CODE"/>


	<xsl:template match="/SHOP">
	<DATA Mode="bind_changes">
		<xsl:apply-templates select="SHOPITEM"/>
	</DATA>
	</xsl:template>
	
<xsl:template match="SHOPITEM">
	<xsl:if test="generate-id() = generate-id(key('PRODUCT', CODE))">
		<PROPERTIES_INSHOP3 UniqueID="Krasa-{CODE}-MAIN">
			<PRODUCTPARAMETERS>
        <xsl:if test="ADD_DESCRIPTION/URCENO_PRO/@zeny = '1'">
          <ProductPropertyRefinement>
            <PROPERTY UniqueID="Krasa-PRO-ZENY" />
            <PARAMVALUE>
              <xsl:value-of select="ADD_DESCRIPTION/URCENO_PRO/@zeny"></xsl:value-of>
            </PARAMVALUE>
          </ProductPropertyRefinement>
        </xsl:if>
        <xsl:if test="ADD_DESCRIPTION/URCENO_PRO/@muze = '1'">
          <ProductPropertyRefinement>
            <PROPERTY UniqueID="Krasa-PRO-MUZE" />
            <PARAMVALUE>
              <xsl:value-of select="ADD_DESCRIPTION/URCENO_PRO/@muze"></xsl:value-of>
            </PARAMVALUE>
          </ProductPropertyRefinement>
        </xsl:if>
        <xsl:if test="ADD_DESCRIPTION/URCENO_PRO/@deti = '1'">
          <ProductPropertyRefinement>
            <PROPERTY UniqueID="Krasa-PRO-DETI" />
            <PARAMVALUE>
              <xsl:value-of select="ADD_DESCRIPTION/URCENO_PRO/@deti"></xsl:value-of>
            </PARAMVALUE>
          </ProductPropertyRefinement>
        </xsl:if> 
			</PRODUCTPARAMETERS>
		</PROPERTIES_INSHOP3>
		<xsl:apply-templates select="PARAMETERS/PARAMETER" />
	</xsl:if>
</xsl:template>
	<xsl:template match="PARAMETERS/PARAMETER">
		<!-- 
		zajitn uniktnosti:
			nov vrobek bude vloen jen v ppad, e jeho kd nen pouit jako kd jinho hlavnho vrobku 
			ani nen pouit mezi jinmi variantami
		-->
		<xsl:if test="count(key('PRODUCT', CODE)) = 0 and  generate-id() = generate-id(key('VARIANT', CODE))">
			<PROPERTIES_INSHOP3 UniqueID="Krasa-{CODE}" linkedto="Krasa-{../../CODE}-MAIN">
        <PRODUCTPARAMETERS>
          <xsl:if test="../../ADD_DESCRIPTION/URCENO_PRO/@zeny = '1'">
            <ProductPropertyRefinement>
              <PROPERTY UniqueID="Krasa-PRO-ZENY" />
              <PARAMVALUE>
                <xsl:value-of select="../../ADD_DESCRIPTION/URCENO_PRO/@zeny"></xsl:value-of>
              </PARAMVALUE>
            </ProductPropertyRefinement>
          </xsl:if>
          <xsl:if test="../../ADD_DESCRIPTION/URCENO_PRO/@muze = '1'">
            <ProductPropertyRefinement>
              <PROPERTY UniqueID="Krasa-PRO-MUZE" />
              <PARAMVALUE>
                <xsl:value-of select="../../ADD_DESCRIPTION/URCENO_PRO/@muze"></xsl:value-of>
              </PARAMVALUE>
            </ProductPropertyRefinement>
          </xsl:if>
          <xsl:if test="../../ADD_DESCRIPTION/URCENO_PRO/@deti = '1'">
            <ProductPropertyRefinement>
              <PROPERTY UniqueID="Krasa-PRO-DETI" />
              <PARAMVALUE>
                <xsl:value-of select="../../ADD_DESCRIPTION/URCENO_PRO/@deti"></xsl:value-of>
              </PARAMVALUE>
            </ProductPropertyRefinement>
          </xsl:if>
        </PRODUCTPARAMETERS>
      </PROPERTIES_INSHOP3>
    </xsl:if>
  </xsl:template>
</xsl:stylesheet>