<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

  <!-- Declare output -->
  <xsl:output method="xml" encoding="utf-8" indent="yes" />

  <!-- Declare keys -->
	<xsl:key name="PRODUCT" match="/SHOP/SHOPITEM" use="CODE"/>
	<xsl:key name="VARIANT" match="/SHOP/SHOPITEM/PARAMETERS/PARAMETER" use="CODE"/>

	<!-- Which template we use with root node -->
	<xsl:template match="/SHOP">
	  <ERRORS Mode="all">
		  <xsl:apply-templates select="SHOPITEM[PARAMETERS/PARAMETER/CODE=CODE or CODE='pGA095']"/>
	  </ERRORS>
  </xsl:template>
	
  <!-- Shop item template -->
  <xsl:template match="SHOPITEM">
    <!-- Podminka na unikantost -->
	  <xsl:if test="generate-id() = generate-id(key('PRODUCT', CODE))">
		  <PRODUCT UniqueID="Parfemy-{CODE}">
			  <CATALOGUENUMBER>
				  <xsl:value-of select="CODE"/>
			  </CATALOGUENUMBER>
			  <PARAMETERS>
				  <PARAMETER>
					  <CODE>
						  <xsl:value-of select="PARAMETERS/PARAMETER/CODE"/>
					  </CODE>
					  <NAME>
						  <xsl:value-of select="PARAMETERS/PARAMETER/NAME"/>
					  </NAME>
					  <VALUE>
						  <xsl:value-of select="PARAMETERS/PARAMETER/VALUE"/>
					  </VALUE>
				  </PARAMETER>
			  </PARAMETERS>
		  </PRODUCT>
	  </xsl:if>
  </xsl:template>

</xsl:stylesheet>

