<?xml version="1.0" encoding="windows-1250"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0"
		>
	<xsl:output method="xml" encoding="utf-8" indent="yes" />
	<xsl:decimal-format decimal-separator="."/>
	<xsl:key name="PRODUCT" match="/SHOP/SHOPITEM" use="CODE"/>
	<xsl:key name="VARIANT" match="/SHOP/SHOPITEM/PARAMETERS/PARAMETER" use="CODE"/>


	<xsl:template match="/SHOP">
		<DATA Mode="bind_changes">
			<xsl:apply-templates select="SHOPITEM"/>
		</DATA>
	</xsl:template>

	<xsl:template match="SHOPITEM">
		<INLEVELS UniqueID="Parfemy-{CODE}">
			<INLEVELS>
				<INLEVELS>
					<LEVEL UniqueID="ROOT_LEVEL"/>
				</INLEVELS>
				<INLEVELS>
					<LEVEL UniqueID="Parfemy-DEPARTMENT_LEVEL"/>
				</INLEVELS>
				
				<xsl:for-each select="ADD_DESCRIPTION/RADA">
		<xsl:if test="@id != ''">
				<INLEVELS>
					<LEVEL UniqueID="Parfemy-{@id}" _position="{position()}"/>
				</INLEVELS>
		</xsl:if>
    </xsl:for-each>
		<xsl:if test="ADD_DESCRIPTION/URCENO_PRO != ''">
				<INLEVELS>
					<LEVEL UniqueID="Parfemy-URCENI-{ADD_DESCRIPTION/URCENO_PRO}"/>
				</INLEVELS>
		</xsl:if>
			</INLEVELS>
		</INLEVELS>
		<xsl:apply-templates select="PARAMETERS/PARAMETER"/>
	</xsl:template>
	<xsl:template match="PARAMETERS/PARAMETER">
		<!-- 
		zajitn uniktnosti:
			nov vrobek bude vloen jen v ppad, e jeho kd nen pouit jako kd jinho hlavnho vrobku 
			ani nen pouit mezi jinmi variantami
		-->
		<xsl:if test="count(key('PRODUCT', CODE)) = 0 and  generate-id() = generate-id(key('VARIANT', CODE))">
			<INLEVELS UniqueID="Parfemy-{CODE}">
				<INLEVELS>
					<INLEVELS>
						<LEVEL UniqueID="ROOT_LEVEL"/>
					</INLEVELS>
					<INLEVELS>
						<LEVEL UniqueID="Parfemy-DEPARTMENT_LEVEL"/>
					</INLEVELS>
					<INLEVELS>
						<LEVEL UniqueID="Parfemy-{../../ADD_DESCRIPTION/RADA/@id}"/>
					</INLEVELS>
					<xsl:if test="../../ADD_DESCRIPTION/URCENO_PRO != ''">
						<INLEVELS>
							<LEVEL UniqueID="Parfemy-URCENI-{../../ADD_DESCRIPTION/URCENO_PRO}"/>
						</INLEVELS>
					</xsl:if>
				</INLEVELS>
			</INLEVELS>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>