<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0"
		>
<xsl:output method="xml" encoding="utf-8" indent="yes" />
<xsl:decimal-format decimal-separator="."/>
	<xsl:key name="product" match="/Pocitace_Business_Marketplace/record"
			 use="EAN11"/>


	<xsl:variable name="EnhDescriptions" select="document('..\Data\PocitaceDescription.xml')/Pocitace_Business_Marketplace"/>

<xsl:template match="/Pocitace_Business_Marketplace">
	<DATA Mode="bind_changes">
		<xsl:apply-templates select="*"/>
	</DATA>
</xsl:template>
	
<xsl:template match="record">
	<xsl:if test="generate-id() = generate-id(key('product', EAN11))">
		<PRODUCTTEXTS UniqueID="{EAN11}">
			<PRODUCTLANGATTRS>
				<PRODUCTBASELANGATTRS>
					<LANGUAGE UniqueID="CS" />
					<NAME>
						<xsl:value-of select="POPIS"/>
					</NAME>
					<DESCRIPTION>
						<xsl:value-of select="TEXT"/>
					</DESCRIPTION>
					<ENHANCEDDESCRIPTION>
						<xsl:value-of select="$EnhDescriptions/record[MATNR=current()/MATNR]/DESCRIPTION"/>
					</ENHANCEDDESCRIPTION>
					</PRODUCTBASELANGATTRS>
			</PRODUCTLANGATTRS>
		</PRODUCTTEXTS>
	</xsl:if>
</xsl:template>


</xsl:stylesheet>